Test Ctrl-A and Ctrl-X, which increment and decrement decimal, hexadecimal,
and octal numbers.

STARTTEST
/^start-here
:set nrformats=octal,hex
j102ll64128$
:set nrformats=octal
0102l2w65129blx6lD
:set nrformats=hex
0101l257Txldt   
:set nrformats=
0200l100w78k
:$-3,$wq! test.out
ENDTEST

start-here
100     0x100     077     0
100     0x100     077     
100     0x100     077     0xfF     0xFf
100     0x100     077     
